[Unit]
Description="Example REST API Application for module Development"
ConditionPathExists={{ app_config.bin_path }}/{{ app_config.name }}
{% for item in app_required_paths %}
ConditionPathExists={{ item }}
{% endfor %}

After=network.target

[Service]
Type=simple
User={{ app_config.user }}
Group={{ app_config.user }}
Environment="GIN_MODE={{ deploy_app_mode }}"
Environment="FOO=bar baz"
WorkingDirectory={{ app_config.path }}
ExecStart={{ app_config.bin_path }}/{{ app_config.name }}
Restart=on-failure
RestartSec=10

[Install]
WantedBy=multi-user.target
